Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class AssumedMatchReport

    java.lang.Object
      com.sun.mdm.index.report.Report
          com.sun.mdm.index.report.MultirowReport1
              com.sun.mdm.index.report.MultirowReport2
                  com.sun.mdm.index.report.AssumedMatchReport

All Implemented Interfaces:
  java.io.Serializable

public class AssumedMatchReport
extends MultirowReport2

Report class for assumed matches

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CREATE_DATE`
`static java.lang.String` | `CREATE_USER`
`static java.lang.String` | `EUID`
`static java.lang.String` | `ID`
`static java.lang.String` | `LID`
`static java.lang.String` | `SYSTEM_CODE`
`static java.lang.String` | `TRANSACTION_NUMBER`
`static java.lang.String` | `WEIGHT`

Fields inherited from class com.sun.mdm.index.report.Report
`mConfig`

Constructor Summary
`AssumedMatchReport(MultirowReportConfig2 config)` Creates a new instance of AssumedMatchReport.

Method Summary
`AssumedMatchReportRow` | `getNextReportRow()` Gets the next report row.

Methods inherited from class com.sun.mdm.index.report.MultirowReport2
`outputDelimitedTextHeader, outputDelimitedTextRow`

Methods inherited from class com.sun.mdm.index.report.MultirowReport1
`addRow, clear, getNextRow, hasMore, hasNext, outputDelimitedTextRow, setNoMore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE_DATE

    public static final java.lang.String CREATE_DATE

See Also:
  Constant Field Values

### CREATE_USER

    public static final java.lang.String CREATE_USER

See Also:
  Constant Field Values

### EUID

    public static final java.lang.String EUID

See Also:
  Constant Field Values

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### LID

    public static final java.lang.String LID

See Also:
  Constant Field Values

### SYSTEM_CODE

    public static final java.lang.String SYSTEM_CODE

See Also:
  Constant Field Values

### TRANSACTION_NUMBER

    public static final java.lang.String TRANSACTION_NUMBER

See Also:
  Constant Field Values

### WEIGHT

    public static final java.lang.String WEIGHT

See Also:
  Constant Field Values

Constructor Detail

### AssumedMatchReport

    public AssumedMatchReport(MultirowReportConfig2 config)

  Creates a new instance of AssumedMatchReport.

  Parameters:
    `config` - report configuration.

Method Detail

### getNextReportRow

    public AssumedMatchReportRow getNextReportRow()

  Gets the next report row.

  Returns:
    The next report row.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.